Channels
List authorized workspace channels and visible project usage
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
workspaceId*stringLength
1 <= lengthincludeArchived?booleanResponse for status 200
application/json- response
channels*array<>projects*array<>curl -X GET 'https://postdot.example/api/workspaces/string/channels'Example Response
{
"channels": [
{
"id": "string",
"workspaceId": "string",
"name": "string",
"profileVersionId": "string",
"profileId": "string",
"state": "active",
"archivedAt": 0,
"revision": 0,
"createdAt": 0,
"updatedAt": 0,
"shared": true,
"canManage": true,
"canShare": true,
"management": {
"kind": "workspace"
},
"usages": [
{
"projectId": "string",
"name": "string",
"state": "active",
"revision": 0,
"canAcceptManagement": true
}
]
}
],
"projects": [
{
"id": "string",
"name": "string",
"timeZone": "string",
"canCreate": true,
"canAttach": true
}
]
}